Subject: 4.1 Mixed Class Throughput

From: "Perser, Jerry" <[email-masked]>
Date: Wed, 26 Jul 2000 11:07:48 -0700

I have a few comments on the Mixed Class Throughput test:

1.

> The mixture of multicast and unicast traffic MUST be set up in one of two
> ways:
> 
>         a) As a percentage of the total traffic flow employing maximum
> bandwidth utilization. Thus, each type of traffic is transmitted at the
> maximum available bandwidth. This also implies that the offered load,
> regardless of the type of traffic, remains constant.
> 
>         b) As a percentage of the total traffic flow employing a
> proportionate bandwidth utilization. Thus, each type of traffic is
> transmitted at a fraction of the available bandwidth proportional to the
> specified ratio. This also implies that the offered load for each traffic
> type varies in proportion to its specified ratio.

I am having a hard time understanding the difference between method A and
method B.  It appears that method A is a subset of method B.  How is method
B with a ratio of 1:1 differ from method A?

Second, this is a throughput test.  The offered load is varied to find the
point where none of the offered frames are dropped.  Method A contradicts
the throughput definition.

2. 
> The transmission of the frames MUST be set up so that they form a 
> deterministic distribution while still maintaining the specified 
> forwarding rates. See Appendix A for a discussion on non-homogenous 
> vs. homogenous packet distribution. 

May I suggest changing "forwarding rates" to "offered load".  Transmission
is done on the input of the DUT while forwarding rates is done on the
output.  This paragraph implies a closed loop system where the output is
held constant by varying the input.  If this is you intent, how do you
propose to implement this closed loop system?

3. 
> Result 
>  
> Parameters to be measured SHOULD include the frame loss and percent 
> loss for each class of traffic per destination port.  The ratio of 
> unicast traffic to multicast traffic MUST be reported. 
>  
> In addition, the transmit and receive rates in frames per second for 
> each source and destination port for both unicast and multicast 
> traffic, together with the number of frames transmitted and received 
> per port per class type traffic SHOULD be reported. 

Throughput is NOT mentioned in the results.  The object is to measure
throughput, the results talk about frame loss.  By definition, frame lost is
always zero for the throughput.

___________________________________________________________ 
Jerry Perser               Phone: 818.676.2320 
SmartLab Manager           Lab:   818.676.2337 
Netcom Systems Inc.        Fax:   818.880.9165     
26750 Agoura Road          Corp:  818.676.2300 
Calabasas, CA, 91302       Pager: [email-masked]